MyVREsServiceImpl (My VREs Portlet 1.3.0-SNAPSHOT API)
Date: 2014-10-26

org.gcube.portlet.user.my_vres.server

## Class MyVREsServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlet.user.my_vres.server.MyVREsServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, MyVREsService

      public class MyVREsServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements MyVREsService

  The server side implementation of the RPC service.
  Version:
    1.0 Jun 2012
  Author:
    Massimiliano Assante - ISTI CNR
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CACHED_VOS`
    `static String` | `ROOT_ORG`

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MyVREsServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static ArrayList<VO>` | `getFakeVOs()` simply returns fake VOS for debugging purpose
    `ArrayList<VO>` | `getInfrastructureVOs()` first method called by the UI
    `protected static String` | `getRootOrganizationName()` read the root VO name from a property file and retuns it
    `void` | `loadLayout(String scope, String URL)`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CACHED_VOS

          public static final String CACHED_VOS

      See Also:
        Constant Field Values

    - #### ROOT_ORG

          public static final String ROOT_ORG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MyVREsServiceImpl

          public MyVREsServiceImpl()

  - ### Method Detail

    - #### getInfrastructureVOs

          public ArrayList<VO> getInfrastructureVOs()

      first method called by the UI
      Specified by:
        `getInfrastructureVOs` in interface `MyVREsService`

    - #### loadLayout

          public void loadLayout(String scope,
                        String URL)

      Specified by:
        `loadLayout` in interface `MyVREsService`
      Parameters:
        `scope` -

    - #### getRootOrganizationName

          protected static String getRootOrganizationName()

      read the root VO name from a property file and retuns it

    - #### getFakeVOs

          protected static ArrayList<VO> getFakeVOs()

      simply returns fake VOS for debugging purpose
      Returns:

Copyright © 2014. All Rights Reserved.